summaryrefslogtreecommitdiff
path: root/test/integration/test-apt-helper-cat-file
diff options
context:
space:
mode:
authorDavid Kalnischkies <david@kalnischkies.de>2016-06-09 20:41:58 +0200
committerDavid Kalnischkies <david@kalnischkies.de>2016-06-10 10:48:25 +0200
commitbdc42211700ef0f6f40e4ef3f362e52d684d70fb (patch)
treeac3f4bbe8748cccb2561dee67dcb21700c0e6fe3 /test/integration/test-apt-helper-cat-file
parent554bc997e4f619c72f883fd68cc896df96de58e5 (diff)
do not hang on piped input in PipedFileFdPrivate
This effects only compressors configured on the fly (rather then the inbuilt ones as they use a library).
Diffstat (limited to 'test/integration/test-apt-helper-cat-file')
-rwxr-xr-xtest/integration/test-apt-helper-cat-file30
1 files changed, 30 insertions, 0 deletions
diff --git a/test/integration/test-apt-helper-cat-file b/test/integration/test-apt-helper-cat-file
new file mode 100755
index 000000000..f7c94a2b4
--- /dev/null
+++ b/test/integration/test-apt-helper-cat-file
@@ -0,0 +1,30 @@
+#!/bin/sh
+set -e
+
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
+setupenvironment
+
+cat >rootdir/etc/apt/apt.conf.d/rev-as-compressor <<EOF
+APT::Compressor::rev {
+ Name "rev";
+ Extension ".rev";
+ Binary "rev";
+ Cost "1";
+};
+EOF
+
+configcompression 'ALL'
+cat >./test.txt <<EOF
+This is a test.
+EOF
+
+compressfile ./test.txt
+while read compressor extension command; do
+ if [ "$compressor" = '.' ]; then
+ FILE='./test.txt'
+ else
+ FILE="./test.txt.${extension}"
+ fi
+ testsuccessequal "$(cat ./test.txt)" apthelper cat-file "$FILE"
+done < "${TMPWORKINGDIRECTORY}/rootdir/etc/testcase-compressor.conf"